flow-print(1)

NAME
flow-print — Display flows in formatted ASCII.

SYNOPSIS

flow-print [-hlnpw] [-d debug_level] [-f format]

DESCRIPTION

The flow-print utility will display flow data in ASCII using pre-defined formats selectable with -f.

OPTIONS

-d debug_level
    Enable debugging.

-f format
    Select format. The default is appropriate for the export type of the flow data. Available formats are:

    0 1 line, interfaces, hex ports
    1 2 line (includes timing and flags)
    2 2 line candidate TCP syn attack flows
    3 1 line, no interfaces, decimal ports
    4 1 line with AS number
    5 1 line, 132 column
    6 show ip accounting emulation
    7 1 line, 132 column +router_id
    8 1 line, 132 column +encapsulation
    9 1 line with tag values
   10 AS aggregation
   11 Protocol Port aggregation
   12 Source Prefix aggregation
   13 Destination Prefix aggregation
   14 Prefix aggregation
   15 Destination aggregation (Catalyst)
   16 Source Destination aggregation (Catalyst)
   17 Full Flow (Catalyst)
   18 ToS AS Aggregation
   19 ToS Proto Port aggregation
   20 ToS Source Prefix aggregation
   21 ToS Destination Prefix aggregation
   22 ToS Prefix Aggregation
   23 ToS Prefix Port aggregation

-h  Display help.

-l  Unbuffer output.

-n  Use symbolic names where appropriate.

-p  Display header information.

-w  Wide output.

EXAMPLES

Display flows in flowfile

  flow-print < flowfile

BUGS

None known.

FILES

Symbols are located in /usr/local/share/flow-tools/*

AUTHOR

Mark Fullmer maf@splintered.net

SEE ALSO

flow-tools(1)